View Issue Details

IDProjectCategoryView StatusLast Update
0004742Talerexchangepublic2017-06-06 14:20
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PrioritynormalSeveritymajorReproducibilitysometimes
Status closedResolutionfixed 
Product Version0.1 
Target Version0.3Fixed in Version0.3 
Summary0004742: exchange-lib testcase fails
DescriptionThe command labeled "create-reserve-1" gets executed twice on the same instruction pointer (which is == 2). That is a bug since successful command execution should always advance the instruction pointer.
Additional InformationThis has been observed on Marcello's laptop only.
TagsNo tags attached.

Activities

Christian Grothoff

2016-10-20 15:13

manager   ~0011365

Just FYI: the tests pass fine on my system.

Marcello Stanisci

2016-11-02 22:03

manager   ~0011403

Just passed after updating GNUnet (at r38236) ...

Marcello Stanisci

2016-12-03 23:57

manager   ~0011562

Reappeared.

Christian Grothoff

2017-03-02 08:03

manager   ~0011879

Very odd. If it is still there, we should look at this one together.

Marcello Stanisci

2017-03-02 11:29

manager   ~0011881

Just reran tests on my laptop and exchange-lib does pass.
(The problem with this issue was that it kept reappearing.)
I guess we can close this, and if it reappears then we look at
it carefully.

Issue History

Date Modified Username Field Change
2016-10-19 00:36 Marcello Stanisci New Issue
2016-10-19 00:36 Marcello Stanisci Status new => assigned
2016-10-19 00:36 Marcello Stanisci Assigned To => Marcello Stanisci
2016-10-19 00:36 Marcello Stanisci Severity minor => major
2016-10-19 00:37 Marcello Stanisci Priority normal => high
2016-10-20 15:13 Christian Grothoff Note Added: 0011365
2016-10-22 17:05 Christian Grothoff Product Version => 0.1
2016-10-22 17:05 Christian Grothoff Target Version => 0.2
2016-11-02 22:03 Marcello Stanisci Note Added: 0011403
2016-11-02 22:03 Marcello Stanisci Status assigned => closed
2016-11-02 22:03 Marcello Stanisci Resolution open => no change required
2016-11-02 22:03 Marcello Stanisci Status closed => resolved
2016-11-15 16:03 Christian Grothoff Fixed in Version => 0.2
2016-11-20 03:26 Christian Grothoff Status resolved => closed
2016-12-03 23:57 Marcello Stanisci Status closed => feedback
2016-12-03 23:57 Marcello Stanisci Resolution no change required => reopened
2016-12-03 23:57 Marcello Stanisci Note Added: 0011562
2016-12-03 23:58 Marcello Stanisci Target Version 0.2 => 0.3
2017-02-04 10:52 Marcello Stanisci Priority high => normal
2017-03-02 08:03 Christian Grothoff Note Added: 0011879
2017-03-02 11:29 Marcello Stanisci Status feedback => resolved
2017-03-02 11:29 Marcello Stanisci Resolution reopened => fixed
2017-03-02 11:29 Marcello Stanisci Note Added: 0011881
2017-06-06 14:20 Christian Grothoff Status resolved => closed
2017-06-06 14:20 Christian Grothoff Fixed in Version 0.2 => 0.3